Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::Div Struct Reference

The ratio of two expressions. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Div:

## Static Public Member Functions
static Expr | make (Expr a, Expr b)

## Public Attributes
Expr | a
Expr | b
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::Div

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< Div >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

The ratio of two expressions.

Definition at line 83 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::Div::make | ( | Expr | a,
|  | Expr | b
| ) |  |
| static

## Member Data Documentation

## ◆ a

Expr Halide::Internal::Div::a

Definition at line 84 of file IR.h.

## ◆ b

Expr Halide::Internal::Div::b

Definition at line 84 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::Div::_node_type = IRNodeType::Div
| static

Definition at line 88 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h